export interface DefaultTheme {
    color:      Color;
    shadow?:    Shadow;
    typography: Typography;
    border:     Border;
    breakpoint: Breakpoint;
    spacing:    Spacing;
    button:     Button;
    font:       Font;
}

export interface Border {
    radius: string;
}

export interface Breakpoint {
    minWidth: string;
    maxWidth: string;
}

export interface Button {
    height: string;
}

export interface Color {
    brand:     Brand;
    base:      Base;
    primary:   string;
    secondary: string;
    action:    Action;
}

export interface Action {
    primary:   string;
    secondary: string;
    tertiary:  string;
}

export interface Base {
    black: string;
    white: string;
    gray:  Gray;
    red:   string;
    green: string;
}

export interface Gray {
    light:  string;
    medium: string;
    dark:   string;
}

export interface Brand {
    primary:    string;
    secondary:  string;
    testValue?: string;
    darkTest?:  string;
}

export interface Font {
    platform: Platform;
}

export interface Platform {
    system: string;
}

export interface Shadow {
    one: string;
}

export interface Spacing {
    group:    Group;
    related:  Distinct;
    distinct: Distinct;
}

export interface Distinct {
    one: string;
    two: string;
}

export interface Group {
    one:   string;
    two:   string;
    three: Five;
    four:  Five;
    five:  Five;
}

export enum Five {
    The12Px = "12px",
    The16Px = "16px",
    The20Px = "20px",
    The24Px = "24px",
}

export interface Typography {
    fontSrc:      string;
    defaultStack: string;
    regular:      Medium;
    medium:       Medium;
    typeScale:    TypeScale;
}

export interface Medium {
    fontName: string;
}

export interface TypeScale {
    default: Default;
    small:   Default;
    large:   Default;
}

export interface Default {
    fontSize:   FontSize;
    lineHeight: FontSize;
    fontWeight: string;
}

export interface FontSize {
    min: Five;
    max: string;
}
